Support Center > Knowledge Base> Article: MetaTrader on the MacOS

MetaTrader on the MacOS

Article ID: 95329 Email Print
Question
Which versions of the MacOS are supported?

Answer
  • OS X 10.6 Snow Leopard
  • OS X 10.7 Lion
  • OS X 10.8 Mountain Lion
  • OS X 10.9 Mavericks
  • OS X 10.10 Yosemite
  • OS X 10.11 El Capitan
  • OS X 10.12 Sierra
  • OS X 10.13 High Sierra

related articles

Article Details
Views: 210 Created on: Feb 15, 2018
Date updated: Feb 15, 2018
Posted in: Trading platform

Poor Outstanding

Risk warning: Forex, spread bets and CFDs are leveraged products. They may not be suitable for you as they carry a high degree of risk to your capital and you can lose more than your initial investment. You should ensure you understand all of the risks.

FXChoice Limited is authorised and regulated by the IFSC (Licence number: IFSC/60/191/TS/17)

FXChoice Limited registration number: 105,968

© 2017 FXChoice Limited. All rights reserved

Powered by LiveHelpNow Help Desk Software